Github messages for voidlinux
 help / color / Atom feed
* [PR PATCH] New package: welle.io-2.0
@ 2019-11-10 14:03 voidlinux-github
  2019-11-10 14:09 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (5 more replies)
  0 siblings, 6 replies; 7+ messages in thread
From: voidlinux-github @ 2019-11-10 14:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 315 bytes --]

There is a new pull request by bra1nwave against master on the void-packages repository

https://github.com/bra1nwave/void-packages welle.io
https://github.com/void-linux/void-packages/pull/16318

New package: welle.io-2.0


A patch file from https://github.com/void-linux/void-packages/pull/16318.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-welle.io-16318.patch --]
[-- Type: text/x-diff, Size: 1241 bytes --]

From fd9857919d3038ed47b54bc0bfce611cbd4be2b1 Mon Sep 17 00:00:00 2001
From: bra1nwave <bra1nwave@protonmail.com>
Date: Sun, 10 Nov 2019 15:02:38 +0100
Subject: [PATCH] New package: welle.io-2.0

---
 srcpkgs/welle.io/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/welle.io/template

diff --git a/srcpkgs/welle.io/template b/srcpkgs/welle.io/template
new file mode 100644
index 00000000000..76b920f82f3
--- /dev/null
+++ b/srcpkgs/welle.io/template
@@ -0,0 +1,16 @@
+# Template file for 'welle.io'
+pkgname=welle.io
+version=2.0
+revision=1
+build_style=cmake
+configure_args="-DRTLSDR=1 -DAIRSPY=1 -DSOAPYSDR=1"
+hostmakedepends="pkg-config qt5-host-tools qt5-qmake"
+makedepends="qt5-devel qt5-declarative-devel qt5-quickcontrols2-devel qt5-multimedia-devel
+ qt5-charts-devel fftw-devel lame-devel alsa-lib-devel faad2-devel mpg123-devel
+ librtlsdr-devel libairspy-devel SoapySDR-devel"
+short_desc="DAB/DAB+ Software Radio"
+maintainer="bra1nwave <bra1nwave@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://www.welle.io/"
+distfiles="https://github.com/AlbrechtL/welle.io/archive/v${version}.tar.gz"
+checksum=abfe999b6788ae57dfaaebea5e1db912565d60cc287c9eec4636b0e10eab4f9d

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] New package: welle.io-2.0
  2019-11-10 14:03 [PR PATCH] New package: welle.io-2.0 voidlinux-github
@ 2019-11-10 14:09 ` " voidlinux-github
  2019-11-11 10:09 ` voidlinux-github
                   ` (4 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-11-10 14:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 320 bytes --]

There is an updated pull request by bra1nwave against master on the void-packages repository

https://github.com/bra1nwave/void-packages welle.io
https://github.com/void-linux/void-packages/pull/16318

New package: welle.io-2.0


A patch file from https://github.com/void-linux/void-packages/pull/16318.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-welle.io-16318.patch --]
[-- Type: text/x-diff, Size: 1255 bytes --]

From 6ffb9154c43b9f5a90b1b626c9ed1cc6f9d09686 Mon Sep 17 00:00:00 2001
From: bra1nwave <bra1nwave@protonmail.com>
Date: Sun, 10 Nov 2019 15:02:38 +0100
Subject: [PATCH] New package: welle.io-2.0

---
 srcpkgs/welle.io/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/welle.io/template

diff --git a/srcpkgs/welle.io/template b/srcpkgs/welle.io/template
new file mode 100644
index 00000000000..6b4e93c0395
--- /dev/null
+++ b/srcpkgs/welle.io/template
@@ -0,0 +1,16 @@
+# Template file for 'welle.io'
+pkgname=welle.io
+version=2.0
+revision=1
+build_style=cmake
+configure_args="-DRTLSDR=1 -DAIRSPY=1 -DSOAPYSDR=1"
+hostmakedepends="pkg-config qt5-host-tools qt5-qmake"
+makedepends="qt5-devel qt5-declarative-devel qt5-quickcontrols2-devel qt5-multimedia-devel
+ qt5-charts-devel fftw-devel lame-devel alsa-lib-devel faad2-devel mpg123-devel
+ librtlsdr-devel libairspy-devel SoapySDR-devel"
+short_desc="DAB/DAB+ Software Defined Radio (SDR)"
+maintainer="bra1nwave <bra1nwave@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://www.welle.io/"
+distfiles="https://github.com/AlbrechtL/welle.io/archive/v${version}.tar.gz"
+checksum=abfe999b6788ae57dfaaebea5e1db912565d60cc287c9eec4636b0e10eab4f9d

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] New package: welle.io-2.0
  2019-11-10 14:03 [PR PATCH] New package: welle.io-2.0 voidlinux-github
  2019-11-10 14:09 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-11-11 10:09 ` voidlinux-github
  2019-11-11 10:55 ` voidlinux-github
                   ` (3 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-11-11 10:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 320 bytes --]

There is an updated pull request by bra1nwave against master on the void-packages repository

https://github.com/bra1nwave/void-packages welle.io
https://github.com/void-linux/void-packages/pull/16318

New package: welle.io-2.0


A patch file from https://github.com/void-linux/void-packages/pull/16318.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-welle.io-16318.patch --]
[-- Type: text/x-diff, Size: 1316 bytes --]

From 5de512c2c9e9a65a8cccffa41c2ecbb895983f6f Mon Sep 17 00:00:00 2001
From: bra1nwave <bra1nwave@protonmail.com>
Date: Sun, 10 Nov 2019 15:02:38 +0100
Subject: [PATCH] New package: welle.io-2.0

---
 srcpkgs/welle.io/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/welle.io/template

diff --git a/srcpkgs/welle.io/template b/srcpkgs/welle.io/template
new file mode 100644
index 00000000000..c0c04f6f88d
--- /dev/null
+++ b/srcpkgs/welle.io/template
@@ -0,0 +1,20 @@
+# Template file for 'welle.io'
+pkgname=welle.io
+version=2.0
+revision=1
+build_style=cmake
+configure_args="-DRTLSDR=1 -DAIRSPY=1 -DSOAPYSDR=1"
+hostmakedepends="pkg-config"
+makedepends="qt5-devel qt5-declarative-devel qt5-quickcontrols2-devel qt5-multimedia-devel
+ qt5-charts-devel fftw-devel lame-devel alsa-lib-devel faad2-devel mpg123-devel
+ librtlsdr-devel libairspy-devel SoapySDR-devel"
+short_desc="DAB/DAB+ Software Defined Radio (SDR)"
+maintainer="bra1nwave <bra1nwave@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://www.welle.io/"
+distfiles="https://github.com/AlbrechtL/welle.io/archive/v${version}.tar.gz"
+checksum=abfe999b6788ae57dfaaebea5e1db912565d60cc287c9eec4636b0e10eab4f9d
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools"
+fi

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] New package: welle.io-2.0
  2019-11-10 14:03 [PR PATCH] New package: welle.io-2.0 voidlinux-github
  2019-11-10 14:09 ` [PR PATCH] [Updated] " voidlinux-github
  2019-11-11 10:09 ` voidlinux-github
@ 2019-11-11 10:55 ` voidlinux-github
  2019-11-11 10:56 ` voidlinux-github
                   ` (2 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-11-11 10:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 448 bytes --]

There is an updated pull request by bra1nwave against master on the void-packages repository

https://github.com/bra1nwave/void-packages welle.io
https://github.com/void-linux/void-packages/pull/16318

New package: welle.io-2.0
If anyone reads this, please have a look at my other [package ](https://github.com/void-linux/void-packages/pull/14170) as well.

A patch file from https://github.com/void-linux/void-packages/pull/16318.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-welle.io-16318.patch --]
[-- Type: text/x-diff, Size: 1707 bytes --]

From 0d003dc89372bd09bc116ecae654306c68b196a0 Mon Sep 17 00:00:00 2001
From: bra1nwave <bra1nwave@protonmail.com>
Date: Sun, 10 Nov 2019 15:02:38 +0100
Subject: [PATCH] New package: welle-io-2.0

---
 srcpkgs/welle-io/template | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 srcpkgs/welle-io/template

diff --git a/srcpkgs/welle-io/template b/srcpkgs/welle-io/template
new file mode 100644
index 00000000000..a33095b3255
--- /dev/null
+++ b/srcpkgs/welle-io/template
@@ -0,0 +1,30 @@
+# Template file for 'welle-io'
+pkgname=welle-io
+version=2.0
+revision=1
+build_style=cmake
+wrksrc="welle.io-${version}"
+configure_args="$(vopt_bool airspy AIRSPY) $(vopt_bool rtlsdr RTLSDR)
+ $(vopt_bool soapysdr SOAPYSDR)"
+hostmakedepends="pkg-config"
+makedepends="$(vopt_if airspy libairspy-devel) $(vopt_if rtlsdr librtlsdr-devel)
+ $(vopt_if soapysdr SoapySDR-devel) qt5-devel qt5-declarative-devel
+ qt5-quickcontrols2-devel qt5-multimedia-devel qt5-charts-devel fftw-devel
+ lame-devel alsa-lib-devel faad2-devel mpg123-devel"
+short_desc="DAB/DAB+ Software Defined Radio (SDR)"
+maintainer="bra1nwave <bra1nwave@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://www.welle.io/"
+distfiles="https://github.com/AlbrechtL/welle.io/archive/v${version}.tar.gz"
+checksum=abfe999b6788ae57dfaaebea5e1db912565d60cc287c9eec4636b0e10eab4f9d
+
+build_options="airspy rtlsdr soapysdr"
+build_options_default="airspy rtlsdr soapysdr"
+
+desc_option_rtlsdr="Enable support for RTL-SDR"
+desc_option_airspy="Enable support for Airspy"
+desc_option_soapysdr="Enable support for SoapySDR"
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools"
+fi

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] New package: welle.io-2.0
  2019-11-10 14:03 [PR PATCH] New package: welle.io-2.0 voidlinux-github
                   ` (2 preceding siblings ...)
  2019-11-11 10:55 ` voidlinux-github
@ 2019-11-11 10:56 ` voidlinux-github
  2019-11-11 10:59 ` [PR PATCH] [Updated] New package: welle-io-2.0 voidlinux-github
  2019-11-12 14:25 ` [PR PATCH] [Merged]: " voidlinux-github
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-11-11 10:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 448 bytes --]

There is an updated pull request by bra1nwave against master on the void-packages repository

https://github.com/bra1nwave/void-packages welle.io
https://github.com/void-linux/void-packages/pull/16318

New package: welle.io-2.0
If anyone reads this, please have a look at my other [package ](https://github.com/void-linux/void-packages/pull/14170) as well.

A patch file from https://github.com/void-linux/void-packages/pull/16318.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-welle.io-16318.patch --]
[-- Type: text/x-diff, Size: 1707 bytes --]

From c0e4d28c1b92516961681482c80c7a7131c00917 Mon Sep 17 00:00:00 2001
From: bra1nwave <bra1nwave@protonmail.com>
Date: Sun, 10 Nov 2019 15:02:38 +0100
Subject: [PATCH] New package: welle-io-2.0

---
 srcpkgs/welle-io/template | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 srcpkgs/welle-io/template

diff --git a/srcpkgs/welle-io/template b/srcpkgs/welle-io/template
new file mode 100644
index 00000000000..eb43b7423a2
--- /dev/null
+++ b/srcpkgs/welle-io/template
@@ -0,0 +1,30 @@
+# Template file for 'welle-io'
+pkgname=welle-io
+version=2.0
+revision=1
+wrksrc="welle.io-${version}"
+build_style=cmake
+configure_args="$(vopt_bool airspy AIRSPY) $(vopt_bool rtlsdr RTLSDR)
+ $(vopt_bool soapysdr SOAPYSDR)"
+hostmakedepends="pkg-config"
+makedepends="$(vopt_if airspy libairspy-devel) $(vopt_if rtlsdr librtlsdr-devel)
+ $(vopt_if soapysdr SoapySDR-devel) qt5-devel qt5-declarative-devel
+ qt5-quickcontrols2-devel qt5-multimedia-devel qt5-charts-devel fftw-devel
+ lame-devel alsa-lib-devel faad2-devel mpg123-devel"
+short_desc="DAB/DAB+ Software Defined Radio (SDR)"
+maintainer="bra1nwave <bra1nwave@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://www.welle.io/"
+distfiles="https://github.com/AlbrechtL/welle.io/archive/v${version}.tar.gz"
+checksum=abfe999b6788ae57dfaaebea5e1db912565d60cc287c9eec4636b0e10eab4f9d
+
+build_options="airspy rtlsdr soapysdr"
+build_options_default="airspy rtlsdr soapysdr"
+
+desc_option_rtlsdr="Enable support for RTL-SDR"
+desc_option_airspy="Enable support for Airspy"
+desc_option_soapysdr="Enable support for SoapySDR"
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools"
+fi

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] New package: welle-io-2.0
  2019-11-10 14:03 [PR PATCH] New package: welle.io-2.0 voidlinux-github
                   ` (3 preceding siblings ...)
  2019-11-11 10:56 ` voidlinux-github
@ 2019-11-11 10:59 ` voidlinux-github
  2019-11-12 14:25 ` [PR PATCH] [Merged]: " voidlinux-github
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-11-11 10:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 448 bytes --]

There is an updated pull request by bra1nwave against master on the void-packages repository

https://github.com/bra1nwave/void-packages welle.io
https://github.com/void-linux/void-packages/pull/16318

New package: welle-io-2.0
If anyone reads this, please have a look at my other [package ](https://github.com/void-linux/void-packages/pull/14170) as well.

A patch file from https://github.com/void-linux/void-packages/pull/16318.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-welle.io-16318.patch --]
[-- Type: text/x-diff, Size: 1707 bytes --]

From 2d47d29627ff9836fc52f4efcbbfbf9279ce108c Mon Sep 17 00:00:00 2001
From: bra1nwave <bra1nwave@protonmail.com>
Date: Sun, 10 Nov 2019 15:02:38 +0100
Subject: [PATCH] New package: welle-io-2.0

---
 srcpkgs/welle-io/template | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 srcpkgs/welle-io/template

diff --git a/srcpkgs/welle-io/template b/srcpkgs/welle-io/template
new file mode 100644
index 00000000000..772772fad7c
--- /dev/null
+++ b/srcpkgs/welle-io/template
@@ -0,0 +1,30 @@
+# Template file for 'welle-io'
+pkgname=welle-io
+version=2.0
+revision=1
+wrksrc="welle.io-${version}"
+build_style=cmake
+configure_args="$(vopt_bool airspy AIRSPY) $(vopt_bool rtlsdr RTLSDR)
+ $(vopt_bool soapysdr SOAPYSDR)"
+hostmakedepends="pkg-config"
+makedepends="$(vopt_if airspy libairspy-devel) $(vopt_if rtlsdr librtlsdr-devel)
+ $(vopt_if soapysdr SoapySDR-devel) qt5-devel qt5-declarative-devel
+ qt5-quickcontrols2-devel qt5-multimedia-devel qt5-charts-devel fftw-devel
+ lame-devel alsa-lib-devel faad2-devel mpg123-devel"
+short_desc="DAB/DAB+ Software Defined Radio (SDR)"
+maintainer="bra1nwave <bra1nwave@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://www.welle.io/"
+distfiles="https://github.com/AlbrechtL/welle.io/archive/v${version}.tar.gz"
+checksum=abfe999b6788ae57dfaaebea5e1db912565d60cc287c9eec4636b0e10eab4f9d
+
+build_options="airspy rtlsdr soapysdr"
+build_options_default="airspy rtlsdr soapysdr"
+
+desc_option_airspy="Enable support for Airspy"
+desc_option_rtlsdr="Enable support for RTL-SDR"
+desc_option_soapysdr="Enable support for SoapySDR"
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" qt5-qmake qt5-host-tools"
+fi

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Merged]: New package: welle-io-2.0
  2019-11-10 14:03 [PR PATCH] New package: welle.io-2.0 voidlinux-github
                   ` (4 preceding siblings ...)
  2019-11-11 10:59 ` [PR PATCH] [Updated] New package: welle-io-2.0 voidlinux-github
@ 2019-11-12 14:25 ` " voidlinux-github
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-11-12 14:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 287 bytes --]

There's a merged pull request on the void-packages repository

New package: welle-io-2.0
https://github.com/void-linux/void-packages/pull/16318

Description:
If anyone reads this, please have a look at my other [package ](https://github.com/void-linux/void-packages/pull/14170) as well.

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, back to index

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-11-10 14:03 [PR PATCH] New package: welle.io-2.0 voidlinux-github
2019-11-10 14:09 ` [PR PATCH] [Updated] " voidlinux-github
2019-11-11 10:09 ` voidlinux-github
2019-11-11 10:55 ` voidlinux-github
2019-11-11 10:56 ` voidlinux-github
2019-11-11 10:59 ` [PR PATCH] [Updated] New package: welle-io-2.0 voidlinux-github
2019-11-12 14:25 ` [PR PATCH] [Merged]: " voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git